@charset "utf-8";



/*一、24格处理*/
#iconWall{
    width: 100%;
    
    margin: 0 auto;
    overflow: hidden;
   
    list-style: none;
}

#iconWall li{
    width: 23%; margin-left:1%; margin-top:2%; margin-right:1%; border: solid 1px #efefef; height:160px;
    /*background-color: #fff;*/
    float: left; 
    position: relative;

}

/*二、3D反转区域处理 */
.img-back, .img-front{
    position: absolute;
    left: 0;
    top: 0;
    background-color: #fff;
    width: 100%;
    height: 100%;
    text-align: center;
   
}
.img-back, .img-front img { width:100%; float:left; height:158px;}
li img{
    vertical-align: middle;
}


.img-3d{
    transform-style: preserve-3d;
}

.img-back{
    transform: rotateY(180deg);
}

/*测试代码*/
/*li:hover .img-3d{*/
    /*transition: .3s linear;*/
    /*transform: rotateY(180deg);*/
/*}*/

/*三、换一批*/
#btnRefresh{
    text-align: center;
    transition: .3s linear;
    background-color: #fff;
}
.iconRefresh{
    width: 28px;
    height: 28px;
    background: url("../img/refresh.png");
    margin: 32px auto 0;
}
#btnRefresh:hover{
    color: #fff;
    background-color: #dd2727;
    transition: 0s;
}
#btnRefresh:hover .iconRefresh{
    background: url("../img/refresh-white.png");
}


/*四、处理浮层*/
.mask{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .7);
    opacity: 0;
}

.mask img{
    float: right; width:100%;
}
.mask p{
    font-size: 16px;
    color: #fff;
    margin-top: 45px;
    text-align: center;
}
.mask a{
    color: #fff;
    text-decoration: none;
    font-size: 14px;
    background-color: red;
    width: 90px;
    display: block;
    margin: 0 auto;
    text-align: center;
    height: 24px; line-height:24px;
    border-radius: 5px;
}
.wrap { width:100%; overflow: hidden}
.mask a:hover { text-decoration:none;}

li:hover .mask{
    opacity: 1;
    transition: .3s linear;
}

/*页脚*/
footer{
    text-align: center;
    margin-top: 20px;
    color: #666;
    font-size: 16px;
    line-height: 1.4;
}